## zfs-auto-snapshot 1.2.4

=== Makefile ===
PREFIX := /usr/local

all:

install:
	install -d $(DESTDIR)/etc/cron.d
	install -d $(DESTDIR)/etc/cron.daily
	install -d $(DESTDIR)/etc/cron.hourly
	install -d $(DESTDIR)/etc/cron.weekly
	install -d $(DESTDIR)/etc/cron.monthly
	install -m 0644 etc/zfs-auto-snapshot.cron.frequent $(DESTDIR)/etc/cron.d/zfs-auto-snapshot
	install etc/zfs-auto-snapshot.cron.hourly   $(DESTDIR)/etc/cron.hourly/zfs-auto-snapshot
	install etc/zfs-auto-snapshot.cron.daily    $(DESTDIR)/etc/cron.daily/zfs-auto-snapshot
	install etc/zfs-auto-snapshot.cron.weekly   $(DESTDIR)/etc/cron.weekly/zfs-auto-snapshot
	install etc/zfs-auto-snapshot.cron.monthly  $(DESTDIR)/etc/cron.monthly/zfs-auto-snapshot
	install -d $(DESTDIR)$(PREFIX)/share/man/man8
	install src/zfs-auto-snapshot.8 $(DESTDIR)$(PREFIX)/share/man/man8/zfs-auto-snapshot.8
	install -d $(DESTDIR)$(PREFIX)/sbin
	install src/zfs-auto-snapshot.sh $(DESTDIR)$(PREFIX)/sbin/zfs-auto-snapshot

## zfs-auto-snapshot 1.2.1

=== debian/changelog ===
zfs-auto-snapshot (1.2.1-1+deb9u1) stretch; urgency=medium

  * Backported from 1.2.4:
    - Make cronjobs exit silently after package removal.  (Closes: #850776)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 24 Aug 2019 12:58:19 +0200

zfs-auto-snapshot (1.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #720657)

 -- Jonathan Carter <jcarter@linux.com>  Sun, 06 Nov 2016 12:38:36 +0200

=== debian/control ===
Source: zfs-auto-snapshot
Section: contrib/utils
Priority: extra
Maintainer: Jonathan Carter <jcarter@linux.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8
Homepage: https://github.com/zfsonlinux/zfs-auto-snapshot
Vcs-Git: https://gitlab.com/highvoltage/zfs-auto-snapshot-packaging.git
Vcs-Browser: https://gitlab.com/highvoltage/zfs-auto-snapshot-packaging/tree/master

Package: zfs-auto-snapshot
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, cron, zfsutils-linux
Description: ZFS automatic snapshot service
 Automatically create, rotate, and destroy periodic ZFS snapshots. This is
 the utility that creates the @zfs-auto-snap_frequent, @zfs-auto-snap_hourly,
 @zfs-auto-snap_daily, @zfs-auto-snap_weekly, and @zfs-auto-snap_monthly
 snapshots if it is installed.
 .
 This program is a posixly correct bourne shell script. It depends only on
 the zfs utilities and cron, and can run in the dash shell.

## zfs-auto-snapshot 1.2.2

=== debian/changelog ===
zfs-auto-snapshot (1.2.2-1) unstable; urgency=medium

  * New upstream release (Closes: #850776)
  * Update compat to level 10

 -- Jonathan Carter <jcarter@linux.com>  Tue, 06 Jun 2017 11:30:41 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: contrib/utils
 Priority: extra
 Maintainer: Jonathan Carter <jcarter@linux.com>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 10)
 Standards-Version: 3.9.8
 Homepage: https://github.com/zfsonlinux/zfs-auto-snapshot
 Vcs-Git: https://gitlab.com/highvoltage/zfs-auto-snapshot-packaging.git

## zfs-auto-snapshot 1.2.4

=== debian/changelog ===
zfs-auto-snapshot (1.2.4-2) unstable; urgency=medium

  * Replace obsolete priority 'extra' with 'optional'
  * Update standards version to 4.2.1
  * Update compat level to 11
  * Migrate VCS to salsa.debian.org
  * Remove unneeded shlibs:Depends dependency

 -- Jonathan Carter <jcc@debian.org>  Thu, 11 Oct 2018 10:50:51 +0200

zfs-auto-snapshot (1.2.4-1) unstable; urgency=medium

  * New upstream release
    - Fix bad cronjob logic (thanks Andreas Beckman, Closes: #850776)

 -- Jonathan Carter <jcc@debian.org>  Mon, 18 Sep 2017 09:27:13 +0200

zfs-auto-snapshot (1.2.3-1) unstable; urgency=medium

  * New upstream release
    - Cronjob checks for binary befor running (Closes: #850776)
    - Fix broken exec logic (Closes: #874182)
  * Set new maintainer address
  * Bump standards version to 4.1.0

 -- Jonathan Carter <jcc@debian.org>  Thu, 14 Sep 2017 11:26:38 +0200

=== debian/control ===
Source: zfs-auto-snapshot
Section: contrib/utils
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.2.1
Homepage: https://github.com/zfsonlinux/zfs-auto-snapshot
Vcs-Git: https://salsa.debian.org/jcc/zfs-auto-snapshot.git
Vcs-Browser: https://salsa.debian.org/jcc/zfs-auto-snapshot

Package: zfs-auto-snapshot
Architecture: all
Depends: cron, zfsutils-linux, ${misc:Depends}
Description: ZFS automatic snapshot service
 Automatically create, rotate, and destroy periodic ZFS snapshots. This is
 the utility that creates the @zfs-auto-snap_frequent, @zfs-auto-snap_hourly,
 @zfs-auto-snap_daily, @zfs-auto-snap_weekly, and @zfs-auto-snap_monthly
 snapshots if it is installed.
 .
 This program is a posixly correct bourne shell script. It depends only on
 the zfs utilities and cron, and can run in the dash shell.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/zfs-auto-snapshot-$1\.tar\.gz/ \
   https://github.com/zfsonlinux/zfs-auto-snapshot/releases .*upstream*/v?(\d\S*)\.tar\.gz
